Skip to main content
GET
List events

Authorizations

X-Juo-Admin-Api-Key
string
header
required

Long-lived Admin API key issued from the Juo merchant portal. Pass as the X-Juo-Admin-Api-Key header.

Headers

X-Tenant-ID
string
required

Unique identifier of the tenant in the system (usually a store identifier)

Query Parameters

query
string

Filter the events, e.g. stream:audit AND occurredAt:>='2026-09-01'. Supports fields: type, stream, occurredAt, category, severity, subscriptionId, customerId, owner.entity, owner.id, actor.type, actor.id, operationId. See search query language for the full syntax.

Minimum string length: 1
limit
integer
default:20

How many results one page holds. See pagination.

Required range: 1 <= x <= 100
after
string

Reads the page after the current one: pass its endCursor. See pagination.

Minimum string length: 1
before
string

Reads the page before the current one: pass its startCursor. See pagination.

Minimum string length: 1
sort
enum<string>
default:occurredAt:desc,id:desc

The order of the results. See sorting. Use occurredAt,id in that order, both asc or both desc.

Available options:
occurredAt:asc,id:asc,
occurredAt:desc,id:desc

Response

Default Response

resource
enum<string>
required
Available options:
list
hasNextPage
boolean
required
hasPrevPage
boolean
required
endCursor
null | string
required
startCursor
null | string
required
data
(EventPayload_subscription_paused · object | EventPayload_subscription_resumed · object | EventPayload_subscription_reactivated · object | EventPayload_subscription_cancelled · object | EventPayload_subscription_skipped · object | EventPayload_subscription_next_billing_date_changed · object | EventPayload_subscription_payment_method_changed · object | EventPayload_subscription_delivery_address_changed · object | EventPayload_subscription_frequency_changed · object | EventPayload_subscription_lines_changed · object | EventPayload_customer_updated · object | EventPayload_customer_payment_method_created · object | EventPayload_customer_payment_method_revoked · object | EventPayload_customer_logged_in · object | EventPayload_customer_login_failed · object | EventPayload_settings_updated · object | EventPayload_export_created · object | EventPayload_api_access_granted · object | EventPayload_staff_data_access_spike · object | Event · object)[]
required